Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
ATI Catalyst 10.5 + Xserver 1.8.1 :)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3, 4  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
schmoo
n00b
n00b


Joined: 10 May 2010
Posts: 3

PostPosted: Mon May 10, 2010 7:27 pm    Post subject: Reply with quote

Hi KoT, thanks for your quick reply!

With debug turned on, I have...

glxinfo:
http://pastebin.com/FsUS0N1B

glxgears:
http://pastebin.com/QuiyqkgA

compiz-manager (yup, there's a seg fault there; is that from libGL? Did you have to strace or somesuch?):
http://pastebin.com/piGya6Rc

Additionally, I've been using the compiz-check bash script (available from a quick google), which, to no surprise, spits out:
Quote:

Gathering information about your system...

Distribution: Gentoo (2.0.1)
Desktop environment: GNOME
Graphics chip: ATI Technologies Inc Device 68b8
Driver in use: fglrx
Rendering method: None

Checking if it's possible to run Compiz on your system... [SKIP]

Checking for hardware/setup problems... [SKIP]

At least one check had to be skipped:
Error: No rendering method in use (AIGLX, Xgl or Nvidia)


Urge to kill...rising...
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Mon May 10, 2010 7:45 pm    Post subject: Reply with quote

well, it looks to me - like you're not having the same problem like I do ...

what does dmesg | grep segfault say ?

you tried running kde 4.4 and kwin with compositing if that works ? if yes it might be a problem specific to compiz :idea:
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
schmoo
n00b
n00b


Joined: 10 May 2010
Posts: 3

PostPosted: Mon May 10, 2010 8:00 pm    Post subject: Reply with quote

Quote:

[ 2928.828951] compiz[2614]: segfault at 7f72bdf8ac50 ip 00007f72c46d1dae sp 00007ffff8cf5ef8 error 7 in libGL.so.1.2[7f72c4677000+a2000]


So, possible the same problem as yours?

To be honest, this is my first foray into the land of gentoo-as-a-desktop (although I've run a gentoo server for a long while now, and have used Ubuntu as a desktop for a few years), so I'm a litle unsure on the X side of things.

However, poking through the compiz-check script shows that it refers to xvinfo to determine whether or not AIGLX is enabled (basically by grepping through xvinfo's output for "AIGLX enabled\|AIGLX disabled"). Since I can't find any mention of AIGLX in xvinfo's output, wouldn't that indicate a problem on the part of X or Catalyst?
Back to top
View user's profile Send private message
hedmo
l33t
l33t


Joined: 29 Aug 2009
Posts: 923
Location: halmstad

PostPosted: Mon May 10, 2010 8:59 pm    Post subject: Reply with quote

Have you tryed compiz-fusion (stand alone) with fusion-icon
and USE="-gnome -kde" .i am using it for lxpanel.fusion-icon
is à settings manager that you can switch stuff on or off like
inderrect on or of, kwin or emerald and so on.have you tryed
the workaround at the gentoo compiz wiki?.or even tryed radeonhd
driver.i am on 10.4 , 1.8.0-r1 and 0.8.6 (wayting for 0.9) :lol: and
it works with My old 3200xt-gpu
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Tue May 11, 2010 9:58 am    Post subject: Reply with quote

hedmo wrote:
Have you tryed compiz-fusion (stand alone) with fusion-icon
and USE="-gnome -kde" .i am using it for lxpanel.fusion-icon
is à settings manager that you can switch stuff on or off like
inderrect on or of, kwin or emerald and so on.have you tryed
the workaround at the gentoo compiz wiki?.or even tryed radeonhd
driver.i am on 10.4 , 1.8.0-r1 and 0.8.6 (wayting for 0.9) :lol: and
it works with My old 3200xt-gpu


for me indirect-rendering was selected by default and couldn't be unset, compiz however still kept on crashing

that's frustrating :(
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
DestroyFX
n00b
n00b


Joined: 05 Dec 2005
Posts: 38

PostPosted: Wed May 19, 2010 1:08 am    Post subject: Reply with quote

I have took the xorg-server 1.8.1 ebuild and made the patch for it, in my overlay

Tested and it's working!

I named it xorg-server-1.8.1-r1
Back to top
View user's profile Send private message
jasn
Guru
Guru


Joined: 05 May 2005
Posts: 439
Location: Maryland, US

PostPosted: Tue May 25, 2010 1:45 am    Post subject: Reply with quote

Here's the patch I used to get xorg-server-1.8.1-r1 from portage working with the 10.4 ATI driver.
Code:
--- configure.ac        2010-05-24 21:37:19.625255826 -0400
+++ configure.ac        2010-05-24 21:37:38.261655671 -0400
@@ -26,7 +26,7 @@
 dnl Process this file with autoconf to create configure.

 AC_PREREQ(2.57)
-AC_INIT([xorg-server], 1.8.1, [https://bugs.freedesktop.org/enter_bug.cgi?product=xorg], xorg-server)
+AC_INIT([xorg-server], 1.7.5.1, [https://bugs.freedesktop.org/enter_bug.cgi?product=xorg], xorg-server)
 RELEASE_DATE="2010-05-11"
 AC_CONFIG_SRCDIR([Makefile.am])
 AM_INIT_AUTOMAKE([foreign dist-bzip2])

It's in my local overlay as xorg-server-1.8.1-r2

Good Luck..
Back to top
View user's profile Send private message
hedmo
l33t
l33t


Joined: 29 Aug 2009
Posts: 923
Location: halmstad

PostPosted: Tue May 25, 2010 8:10 pm    Post subject: Reply with quote

jasn what is the name of your overlay

DestroyFX i have tryed your ati-drivers-10.4-r1 with xorg-server-1.8.1-r1 and yes it work
but there is something.glxgears and glxinfo goes bad and i am using compiz.compiz starts but
all plugins wont let me use them.they are there but dont work. its like when i start compiz
the fps goes low.i belive there its something with ati... glad that it works and no problem with starting x
Back to top
View user's profile Send private message
jasn
Guru
Guru


Joined: 05 May 2005
Posts: 439
Location: Maryland, US

PostPosted: Wed May 26, 2010 11:33 am    Post subject: Reply with quote

hedmo,

I don't use an organized overlay. It's just my local private overlay, as described here.

Good Luck..
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Thu May 27, 2010 11:35 am    Post subject: Reply with quote

forget about catalyst 10.4

hail to the king baby ! 8)

10.5 works here again with xorg-server 1.7.7 :D
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
DestroyFX
n00b
n00b


Joined: 05 Dec 2005
Posts: 38

PostPosted: Sat May 29, 2010 8:51 pm    Post subject: Reply with quote

I have added ati-drivers 10.5 on my overlay(ati-drivers-10.5-r1!

I have took the gentoo one and removed the xorg-server-1.8 block so you can use the xorg-server 1.8.1-r1 from my overlay too!
Back to top
View user's profile Send private message
papu
l33t
l33t


Joined: 25 Jan 2008
Posts: 602
Location: Sota algun pi o alzina...

PostPosted: Sun Aug 22, 2010 2:49 pm    Post subject: Reply with quote

hi, anybody know to make changes on configure.ac , to cheat ati-drivers for ccompile agains xorg 1.9?


thanks you , so much.


adéu.
_________________
--Intel i5 6600 --GA-Z170-HD3P --Ripjaws V 2x8 2400 --Radeon RX 470 G1 4G --Gentoo & Windows
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Sun Aug 22, 2010 3:49 pm    Post subject: Reply with quote

papu wrote:
hi, anybody know to make changes on configure.ac , to cheat ati-drivers for ccompile agains xorg 1.9?


thanks you , so much.


adéu.


no guarantee that it'll work:
Quote:
diff -Naurp xorg-orig/configure.ac xorg-final/configure.ac
--- xorg-orig/configure.ac 2010-04-02 03:12:10.000000000 -0400
+++ xorg-final/configure.ac 2010-04-19 00:10:54.491953024 -0400
@@ -26,7 +26,7 @@ dnl
dnl Process this file with autoconf to create configure.

AC_PREREQ(2.57)
-AC_INIT([xorg-server], 1.9.0, [https://bugs.freedesktop.org/enter_bug.cgi?product=xorg], xorg-server)
+AC_INIT([xorg-server], 1.8.2, [https://bugs.freedesktop.org/enter_bug.cgi?product=xorg], xorg-server)
RELEASE_DATE="2010-08-20"
AC_CONFIG_SRCDIR([Makefile.am])
AM_INIT_AUTOMAKE([foreign dist-bzip2])


you need to change RELEASE_DATE="2010-08-20" to the correct date (I don't know if that's the date in the file)

also AC_PREREQ(2.57) might have changed, too

this patch is based on an older one to get catalyst with 1.8 to work (which only supported 1.7*)

edit:

it most probably will NOT work:
http://ubuntuforums.org/showpost.php?p=9711854&postcount=5
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
hedmo
l33t
l33t


Joined: 29 Aug 2009
Posts: 923
Location: halmstad

PostPosted: Sun Aug 22, 2010 5:31 pm    Post subject: Reply with quote

ati-drivers can ccompile agains xorg 1.9 but there is (for me a ABI problem)
Back to top
View user's profile Send private message
papu
l33t
l33t


Joined: 25 Jan 2008
Posts: 602
Location: Sota algun pi o alzina...

PostPosted: Sun Aug 22, 2010 10:51 pm    Post subject: Reply with quote

kernelOfTruth wrote:
papu wrote:
hi, anybody know to make changes on configure.ac , to cheat ati-drivers for ccompile agains xorg 1.9?


thanks you , so much.


adéu.


no guarantee that it'll work:
Quote:
diff -Naurp xorg-orig/configure.ac xorg-final/configure.ac
--- xorg-orig/configure.ac 2010-04-02 03:12:10.000000000 -0400
+++ xorg-final/configure.ac 2010-04-19 00:10:54.491953024 -0400
@@ -26,7 +26,7 @@ dnl
dnl Process this file with autoconf to create configure.

AC_PREREQ(2.57)
-AC_INIT([xorg-server], 1.9.0, [https://bugs.freedesktop.org/enter_bug.cgi?product=xorg], xorg-server)
+AC_INIT([xorg-server], 1.8.2, [https://bugs.freedesktop.org/enter_bug.cgi?product=xorg], xorg-server)
RELEASE_DATE="2010-08-20"
AC_CONFIG_SRCDIR([Makefile.am])
AM_INIT_AUTOMAKE([foreign dist-bzip2])


you need to change RELEASE_DATE="2010-08-20" to the correct date (I don't know if that's the date in the file)

also AC_PREREQ(2.57) might have changed, too

this patch is based on an older one to get catalyst with 1.8 to work (which only supported 1.7*)

edit:

it most probably will NOT work:
http://ubuntuforums.org/showpost.php?p=9711854&postcount=5


thank for your answer , at the moment i don't make changes now 1.8.1 is running for me well, i wait :)

saludos, adéu.
_________________
--Intel i5 6600 --GA-Z170-HD3P --Ripjaws V 2x8 2400 --Radeon RX 470 G1 4G --Gentoo & Windows
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3, 4
Page 4 of 4

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum